<?php
/*
** adding necessarey files
*/

function BNBT_buy_new_button_text_Style_script() {

    wp_enqueue_style('BNBT_buy_new_button_text_main_style_file', plugins_url('/css/style.css', __FILE__));
    wp_enqueue_script('BNBT_buy_new_button_text_logic_file', plugins_url('/js/logic.js',__FILE__ ));
}
add_action('admin_enqueue_scripts', 'BNBT_buy_new_button_text_Style_script');

/**
 * Adds a new settings page under Setting menu
*/
add_action( 'admin_menu', 'BNBT_buy_now_button_text_admin_page' );
function BNBT_buy_now_button_text_admin_page() {
    //only editor and administrator can add a polling
    if( current_user_can('editor') || current_user_can('administrator') ) {
    add_options_page( __( 'Change Add To Cart Text' ), __( 'Change Add To Cart Text' ), 'manage_options', 'BuyNowButtonText', 'BNBT_buy_now_button_text_admin_homepage' );
}
}

/**
* Tabs Method
*/
function BNBT_buy_now_button_text_show_tabs_list( $current = 'first' ) {
    $tabs = array(
        'first'   => __( 'Update Button Text', 'plugin-textdomain' ),

        );
    $html = '<h2 class="wooLiveSalenav-tabnav-tab-wrapper">';
    foreach( $tabs as $tab => $name ){
        $class = ( $tab == $current ) ? 'nav-tab-active' : '';
        $html .= '<a class="nav-tab ' . esc_html($class) . '" href="?page=BuyNowButtonText&tab=' . esc_html($tab) . '">' . esc_html($name) . '</a>';
    }
    $html .= '</h2>';
    echo $html ;
}

function BNBT_buy_now_button_text_admin_homepage(){
    ?>
    <div class="cont-p-dashboard">
        <div class="post_like_dislike_header wrap">Dashboard<span>Contact me for WordPress Plugin Development.
            <a href="https://arrowdesign.ie">Contact</a>
        </span>
    </div>
    <?php

    // ================== Tabs ========================//
     $tab = ( ! empty( $_GET['tab'] ) ) ? esc_attr( $_GET['tab'] ) : 'first';
     BNBT_buy_now_button_text_show_tabs_list( $tab );


   // =========================== Tab 1 ========================//
    if ( $tab == 'first' ) {
        ?>
        <div class="woo-live-saleTabs woo-live-sale-firstTab">
        	<!--First tab -->
        	<div class="setting-left-sp">
        		<div class="list-sp list-sp-left">

        			<?php
        			$terms = "";

        			if (isset($_POST['buy-now-btn'])) {
        				$name = sanitize_text_field ( $_POST['buy-new-btn-text'] );
        				$terms = get_term_meta('2020', '_buy_now_btn_text', true);
        				if ($terms == "") {
        					add_term_meta('2020', "_buy_now_btn_text" ,$name);
        				}
        				else{
        					update_term_meta( '2020', "_buy_now_btn_text", $name);
        				}
        			}
        			$terms = get_term_meta('2020', '_buy_now_btn_text', true);
        			?>
        			<!-- uploading polling names -->
        			<br><br>
        			<label>Update Add To Cart Text Button</label>
        			<form method="POST" action="">
        			<input type="text" name="buy-new-btn-text" class="names-list first-name" value="<?php echo esc_attr ( $terms ); ?>">
        			<button class="button-primary update-names-and-titles" name="buy-now-btn" type="submit">Update</button>
        		</form>
        		</div>
        		<div class="list-sp list-polling-right">

        		</div>

        		</div>

        	</div>
        	<div class="display-right-sp">

        	</div>
        </div>

        <?php
    }
}


